MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029157Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-09-28 23:012018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029157: Modeling - suspicious pass-through of case labels in switch statements
DescriptionGCC 7.1 reports multiple warnings "this statement may fall through [-Wimplicit-fallthrough=]" in situations when code can pass through the case label of switch statement (i.e. code of the preceding case label does not leave the switch using break, return etc.). Some of such warnings highlight suspicious places in the code:

GeomFill_Frenet.cxx:135
IntCurveSurface_Inter.gxx:952
IntCurveSurface_Inter.gxx:963
IntWalk_PWalking.cxx:1169

If fall-through is intentional, add macro Standard_FALLTHROUGH (introduced in 0029151) before the case label to avoid this warning.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029151closedabv Coding Rules - eliminate GCC compiler warnings -Wimplicit-fallthrough 

-  Notes
(0071612)
git (administrator)
2017-10-18 19:20

Branch CR29157 has been created by msv.

SHA-1: 9ecf804a4a08a5edf7b5d33cffa1867cfcfde84a


Detailed log of new commits:

Author: msv
Date: Wed Oct 18 19:20:30 2017 +0300

    0029157: Modeling - suspicious pass-through of case labels in switch statements
    
    Suspicious passes through case labels have been resolved either by using Standard_FALLTHROUGH macro or by redesigning the code.
(0071613)
msv (developer)
2017-10-18 19:25

Dear Nikolay, please review the small change in PWalking algorithm.
Jenkins job has been created.
(0071614)
msv (developer)
2017-10-18 19:26

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR29157-master-msv/ [^]
(0071615)
nbv (developer)
2017-10-19 09:52
edited on: 2017-10-19 09:58

Reviewed.

Principle correction in src/GeomFill/GeomFill_Frenet.cxx and src/IntCurveSurface/IntCurveSurface_Inter.gxx are OK.

(0071623)
bugmaster (administrator)
2017-10-19 11:01

Combination -
OCCT branch : CR29157 SHA-1: 9ecf804a4a08a5edf7b5d33cffa1867cfcfde84a
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:
No new/fixed warnings.

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

(0071702)
git (administrator)
2017-10-23 15:01

Branch CR29157 has been deleted by kgv.

SHA-1: 9ecf804a4a08a5edf7b5d33cffa1867cfcfde84a

- Related Changesets
occt: master 6da5b300
Timestamp: 2017-10-18 16:20:30
Author: msv
Committer: bugmaster
Details ] Diff ]
0029157: Modeling - suspicious pass-through of case labels in switch statements

Suspicious passes through case labels have been resolved either by using Standard_FALLTHROUGH macro or by redesigning the code.
mod - src/GeomFill/GeomFill_Frenet.cxx Diff ] File ]
mod - src/IntCurveSurface/IntCurveSurface_Inter.gxx Diff ] File ]
mod - src/IntWalk/IntWalk_PWalking.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-28 23:01 abv New Issue
2017-09-28 23:01 abv Assigned To => msv
2017-09-29 09:17 abv Relationship added child of 0029151
2017-09-29 09:18 abv Description Updated View Revisions
2017-09-29 10:02 abv Description Updated View Revisions
2017-10-18 19:20 git Note Added: 0071612
2017-10-18 19:23 msv Status new => assigned
2017-10-18 19:23 msv Product Version => 7.2.0
2017-10-18 19:25 msv Note Added: 0071613
2017-10-18 19:25 msv Assigned To msv => nbv
2017-10-18 19:25 msv Status assigned => resolved
2017-10-18 19:25 msv Steps to Reproduce Updated View Revisions
2017-10-18 19:26 msv Note Added: 0071614
2017-10-19 09:52 nbv Note Added: 0071615
2017-10-19 09:52 nbv Assigned To nbv => bugmaster
2017-10-19 09:52 nbv Status resolved => reviewed
2017-10-19 09:57 nbv Note Edited: 0071615 View Revisions
2017-10-19 09:58 nbv Note Edited: 0071615 View Revisions
2017-10-19 10:59 bugmaster Test case number => Not required
2017-10-19 11:01 bugmaster Note Added: 0071623
2017-10-19 11:01 bugmaster Status reviewed => tested
2017-10-19 19:11 bugmaster Changeset attached => occt master 6da5b300
2017-10-19 19:11 bugmaster Status tested => verified
2017-10-19 19:11 bugmaster Resolution open => fixed
2017-10-23 15:01 git Note Added: 0071702
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker